RCSZilla Sürüm 1.0

Kuyruk Durumu

Mobil Uygulama Entegrasyon Kılavuzu

Kuyruk Durumu

GET /?endpoint=queue_status

Giden kuyruktaki tek bir öğenin güncel durumunu getirir. Teslimat onayı gelene kadar yoklama yapmak için kullanışlıdır.

Sorgu Parametreleri

AlanTürAçıklama
idinteger zorunlu Kuyruk mesaj ID'si.

Örnek İstek

cURL
curl "https://api.rcszilla.com/?endpoint=queue_status&id=101" \
  -H "Authorization: Bearer YOUR-DEVICE-TOKEN"

Yanıt

JSON200 OK
{
  "success": true,
  "id": "101",
  "status": "delivered",
  "sent_at": "2026-04-29 10:01:45",
  "failed_reason": null
}

Status Values

StatusAçıklama
pendingWaiting to be picked up by a device.
processingClaimed by a device, currently being sent.
sentHanded off to the carrier.
deliveredCarrier delivery confirmation received.
failedSend failed. Check failed_reason.
cancelledCancelled by the user via the web panel.